Loading...
Searching...
No Matches
dolfin::MueluPreconditioner Class Reference

Implements Muelu preconditioner from Trilinos. More...

`#include <MueluPreconditioner.h>`

Inheritance diagram for dolfin::MueluPreconditioner:
[legend]
Collaboration diagram for dolfin::MueluPreconditioner:
[legend]

## Public Member Functions

| MueluPreconditioner ()
| Create a particular preconditioner object.
virtual | ~MueluPreconditioner ()
| Destructor.
virtual void | set (BelosKrylovSolver &solver)
| Set the preconditioner on a solver.
std::string | str (bool verbose) const
| Return informal string representation (pretty-print).
virtual void | init (std::shared_ptr< const TpetraMatrix > P)
| Initialise preconditioner based on Operator P.
Public Member Functions inherited from dolfin::TrilinosPreconditioner
| TrilinosPreconditioner ()
| Constructor.
| ~TrilinosPreconditioner ()
| Destructor.
Public Member Functions inherited from dolfin::Variable
| Variable ()
| Create unnamed variable.
| Variable (const std::string name, const std::string label)
| Create variable with given name and label.
| Variable (const Variable &variable)
| Copy constructor.
virtual | ~Variable ()
| Destructor.
const Variable & | operator= (const Variable &variable)
| Assignment operator.
void | rename (const std::string name, const std::string label)
| Rename variable.
std::string | name () const
| Return name.
std::string | label () const
| Return label (description).
std::size_t | id () const

## Static Public Member Functions

static Parameters | default_parameters ()
| Default parameter values.

## Additional Inherited Members

Public Attributes inherited from dolfin::Variable
Parameters | parameters
| Parameters.

## Detailed Description

Implements Muelu preconditioner from Trilinos.

## Member Function Documentation

## init()

void MueluPreconditioner::init | ( | std::shared_ptr< const TpetraMatrix > | P | ) |

virtual

Initialise preconditioner based on Operator P.

Implements dolfin::TrilinosPreconditioner.

## set()

void MueluPreconditioner::set | ( | BelosKrylovSolver & | solver | ) |

virtual

Set the preconditioner on a solver.

Implements dolfin::TrilinosPreconditioner.

## str()

std::string MueluPreconditioner::str | ( | bool | verbose | ) | const

virtual

Return informal string representation (pretty-print).

Reimplemented from dolfin::Variable.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/la/MueluPreconditioner.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/la/MueluPreconditioner.cpp